security_authtrampoline(8)

NAME
security_authtrampoline - Trampoline used by AuthorizationExecuteWithPrivileges from Security.framework.

SYNOPSIS
security_authtrampoline

DESCRIPTION
security_authtrampoline is used when programs use AuthorizationExecuteWithPrivileges from Security.framework to run another program with root privileges. The security_authtrampoline command uses the authorization infrastructure to determine whether it should proceed. You should not run it by itself. Execution of other programs is logged with syslog(3) to channel LOG_AUTH at LOG_NOTICE level.